﻿namespace KPGBase.Excercises
{
    internal class BasicExcercise
    {
        /// <summary> Bitmap image used to display our drawings </summary>
        internal Bitmap canvas;
        internal int width;
        internal int height;
        /// <summary> Graphics context used for drawing </summary>
        internal Graphics g;

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="canvas"> Canvas - bitmap image </param>
        public BasicExcercise(Bitmap canvas)
        {
            this.canvas = canvas;
            width = canvas.Width;
            height = canvas.Height;

            g = Graphics.FromImage(canvas);
            ClearImage();
        }

        /// <summary>
        /// Paint whole image grey
        /// </summary>
        internal void ClearImage()
        {
            g.Clear(Color.FromArgb(42, 42, 42));
        }

    }
}
